; File: macros.asm

#define ROUND(X) (int(1.0*(X)+0.5))

.macro xout ; eXtended "out"
	.if @0 > 0x3F
		sts @0, @1
	.else
		out @0, @1
	.endif
.endmacro

.macro xin ; eXtended "in"
	.if @1 > 0x3F
		lds @0, @1
	.else
		in  @0, @1
	.endif
.endmacro

.macro ldiz ; load immediate to Z double register
	ldi		ZH, high(@0)
	ldi		ZL, low(@0)
.endmacro

.macro addz ; add register to Z double register; register 'zero' must contain 0
	add 	ZL, @0
	adc		ZH, zero
.endmacro
